import snowflake.connector
from snowflake.connector.pandas_tools import write_pandas
import pyodbc as pyo
import pandas as pd

print('opening sql server..')
cnn_sql = (
    r"Driver={SQL Server};Server=JUPITER\SQL2017;"
    "Database=Demonstrations;UID=sql_user;PWD=sql_password;"
    )
cnn = pyo.connect(cnn_sql)
print('opened..')

sql = "Select Number_Values, Text_Values From Bulk_SQL;"
df = pd.read_sql(sql, cnn)
print(df.head(10))
print(df.tail(10))
cnn.close()
print('sql server closed..')

print('create snowflake table..')
sql = (
    "CREATE OR REPLACE Table one_million_example"
    " (Number_Values integer, Text_Values string)"
    )
scnn = snowflake.connector.connect(
    user='SFUSER',
    password='ABC123',
    account='ABCACCOUNT',
    warehouse='project_warehouse',
    database='project_database',
    schema='project_schema'
    )

cs = scnn.cursor()
cs.execute(sql)

print('writing to snwoflake table..')
success, nchunks, nrows, _ = write_pandas(scnn, df, 'one_million_example', quote_identifiers=False)

print('snowflake closed..')
print('get some data..')
sql = "Select * From one_million_example Where Number_Values < 11"
cs.execute(sql)
df_result = cs.fetch_pandas_all()
scnn.close()
print(df_result)
print('operation complete.')
